const tools = Ingredient.of(/(minecraft|appliedenergistics2|boss_tools):(wooden|stone|iron|golden|diamond|netherite|certus_quartz|nether_quartz|steel)_(sword|shovel|(pick)?axe|hoe)/);

onEvent("item.modification", (event) => {
    event.modify(tools, (tool) => {
        tool.setMaxDamage(1);

        tool.setTier((tier) => {
            tier.uses = 1;
            tier.speed = 0;
            tier.attackDamageBonus = 0;
            tier.level = 0;
            tier.enchantmentValue = 0;
        });
    });
});
